as.argo {oce} | R Documentation

## Coerce data into argo dataset

### Description

Coerces a dataset into an argo dataset.

### Usage

    as.argo(time, longitude, latitude, salinity, temperature, pressure,
            units=NULL, id, filename="", missingValue)

### Arguments

`time` | time of observation
`longitude` | longitude of observation
`latitude` | latitude of observation
`salinity` | salinity of observation
`temperature` | temperature of observation
`pressure` | pressure of observation
`units` | an optional list containing units. If `NULL`, the default, then `"degree east"` is used for `longitude`, `"degree north"` for `latitude`, `""` for `salinity`, `"ITS-90"` for `temperature`, and `"dbar"` for `pressure`.
`id` | argo identifier
`filename` | source filename
`missingValue` | optional missing value, indicating data that should be taken as `NA`.

### Details

This function assembles vectors into a `argo-class` object, e.g. so that `plot.argo` can be used. Use `oceSetData` to add other columns to the standard set, if e.g. the device measures nitrate, etc.

### Value

An object of `class` `"argo"`.

### Author(s)

Dan Kelley

### See Also

The documentation for `argo-class` explains the structure of argo objects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]